import '../miscellaneous/ability.dart';
import 'race.dart';

class Trog extends Race {
  static const String _name = 'Trog';
  static const String _description =
      'Trogloditas (ou “trogs”) são homens-lagarto primitivos e subterrâneos que odeiam todos os outros seres — especialmente os que sabem forjar aço, aquilo que mais cobiçam. Suas tribos tramam incursões contra povoados humanos, fazem emboscadas em estradas, atacam exploradores em masmorras. Uns poucos, no entanto, divergem da crueldade e selvageria inerentes à raça. Abandonam a tribo ou são expulsos. Escolhem caminhos surpreendentes, inesperados; tornam-se druidas, ou clérigos, ou bucaneiros, ou sabe-se lá o que mais. Enfim, acabam aceitos como colegas por aventureiros tão estranhos e deslocados quanto eles próprios.';
  static const int _strength = 2;
  static const int _dexterity = 0;
  static const int _constitution = 4;
  static const int _intelligence = -2;
  static const int _wisdom = 0;
  static const int _charisma = 0;
  static const List<Ability> _abilities = [
    Ability(
        'Mau Cheiro',
        'Você pode gastar uma ação padrão e 2 PM para expelir um gás fétido. Todas as criaturas em alcance curto devem passar em um teste de Fortitude contra veneno (CD Con) ou ficarão enjoadas durante 1d6 rodadas. Uma criatura que passe no teste de resistência fica imune a esta habilidade por um dia.',
        0),
    Ability(
        'Mordida',
        'Você possui um ataque natural de mordida (dano 1d6, crítico x2, perfuração). Quando usa a ação ataque, pode gastar 1 PM para fazer um ataque corpo a corpo extra com a mordida.',
        0),
    Ability(
        'Reptiliano',
        'Você é uma criatura do tipo monstro e recebe visão no escuro, +1 na Defesa e, se estiver sem armadura ou roupas pesadas, +5 em Furtividade.',
        0),
    Ability(
        'Sangue Frio',
        'Você sofre 1 ponto de dano adicional por cada dado de dano de frio.',
        0),
  ];

  @override
  String get name => _name;

  @override
  String get description => _description;

  @override
  int get strength => _strength;

  @override
  int get dexterity => _dexterity;

  @override
  int get constitution => _constitution;

  @override
  int get intelligence => _intelligence;

  @override
  int get wisdom => _wisdom;

  @override
  int get charisma => _charisma;

  @override
  List<Ability> get abilities => _abilities;
}
